Update to newest modulesync_configs [9ca280f]
[puppet_vcsrepo.git] / Gemfile
1 #This file is generated by ModuleSync, do not edit.
2
3 source ENV['GEM_SOURCE'] || "https://rubygems.org"
4
5 def location_for(place, version = nil)
6   if place =~ /^(git[:@][^#]*)#(.*)/
7     [version, { :git => $1, :branch => $2, :require => false}].compact
8   elsif place =~ /^file:\/\/(.*)/
9     ['>= 0', { :path => File.expand_path($1), :require => false}]
10   else
11     [place, version, { :require => false}].compact
12   end
13 end
14
15 group :development, :unit_tests do
16   gem 'json',                      :require => false
17   gem 'metadata-json-lint',        :require => false
18   gem 'puppet_facts',              :require => false
19   gem 'puppet-blacksmith',         :require => false
20   gem 'puppetlabs_spec_helper',    :require => false
21   gem 'rspec-puppet', '>= 2.3.2',  :require => false
22   gem 'simplecov',                 :require => false
23 end
24 group :system_tests do
25   gem 'beaker-rspec',                  *location_for(ENV['BEAKER_RSPEC_VERSION'] || '>= 3.4')
26   gem 'beaker',                        *location_for(ENV['BEAKER_VERSION'])
27   gem 'serverspec',                    :require => false
28   gem 'beaker-puppet_install_helper',  :require => false
29   gem 'master_manipulator',            :require => false
30   gem 'beaker-hostgenerator',          *location_for(ENV['BEAKER_HOSTGENERATOR_VERSION'])
31 end
32
33 gem 'facter', *location_for(ENV['FACTER_GEM_VERSION'])
34 gem 'puppet', *location_for(ENV['PUPPET_GEM_VERSION'])
35
36
37 if File.exists? "#{__FILE__}.local"
38   eval(File.read("#{__FILE__}.local"), binding)
39 end